### Virtual Method

# Camel DataWrapper construct_from_stream_sync

since: 3.0

#### Declaration [src]

    gboolean
    construct_from_stream_sync (
      CamelDataWrapper* data_wrapper,
      CamelStream* stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Constructs the content of `data_wrapper` from the given `stream`.

Available since: 3.0

#### Parameters

`stream`

  Type: `CamelStream`

  An input `CamelStream`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.